<div class="container">
<?php

	if ( !isset ( $db ) ) {

		echo "<div class='alert alert-danger'>Erro ao acessar página!</div>";

	} else if ( !$_POST ) {

		echo "<div class='alert alert-danger'>Erro ao realizar requisição!</div>";

	} else {

		$cnpj = $senha = "";

		if ( isset ( $_POST["cnpj"] ) ) $cnpj = trim ( $_POST["cnpj"] );
		if ( isset ( $_POST["senha"] ) ) $senha = trim ( $_POST["senha"] );

		if ( strlen( $senha ) < 5 ) {

			echo "<div class='alert alert-danger'>Digite uma senha válida!</div>";

		} /*else if ( filter_var ( $login, FILTER_VALIDATE_EMAIL ) ) {

			echo "<div class='alert alert-danger'>Digite um e-mail válido!</div>";

		} */else {

			$cnpj = str_replace(".", "", $cnpj);
			$cnpj = str_replace("-", "", $cnpj);
			$cnpj = str_replace("/", "", $cnpj);

			$sql = "select * from cliente where cnpj = ? limit 1";
			$consulta = $db->prepare($sql);
			$consulta->bindParam(1,$cnpj);
			$consulta->execute();

			$dados = $consulta->fetch(PDO::FETCH_OBJ);


			$senha = md5($senha);

			if ( !isset ( $_SESSION["senha"] ) ) $_SESSION["senha"] = 1;
			else $_SESSION["senha"]++;

			

			if ( $_SESSION["senha"]  > 50) {

				echo "<div class='alert alert-danger'>Você realizou mais de 5 tentativas. Entre em contato com a MaxCredit ou <a href='senha'>clique aqui</a> para gerar uma outra senha!</div>";

			} else if ( empty ( $dados->id ) ) {

				echo "<div class='alert alert-danger'>O usuário não existe!</div>";

			} else if ( $dados->status != "ATIVO") {

				echo "<div class='alert alert-danger'>O status deste cadastro está Inativo (status: $dados->status). Entre em contato com a MaxCredit para obter mais informações!</div>";

			} else if ( $dados->ativo != "Sim" ) {

				echo "<div class='alert alert-danger'>Esta cadastro não está ativo. Entre em contato com a MaxCredit para obter mais informações!</div>";

			} else if ( $dados->senha != $senha ) {

				echo "<div class='alert alert-danger'>A senha digitada é incorreta!</div>";

			} else {

				$sql2 = "select *, date_format(data,'%d/%m/%Y às %H:%i') dt 
					from acesso where cliente_id = $dados->id 
					order by data desc limit 1,2";
		    	$consulta2 = $db->prepare($sql2);
		    	$consulta2->execute();

		    	$dados2 = $consulta2->fetch(PDO::FETCH_OBJ);

				$_SESSION["max"] = array("id"=>$dados->id, 
										"nome"=>$dados->nome, 
										"cnpj"=>$dados->cnpj, 
										"consultor"=>$dados->funcionario_id,
										"contato"=>$dados->contato,
										"logon"=>@$dados2->dt);
				
				if ( md5($cnpj) == $senha ) {
					echo "<script>location.href='trocasenha';</script>";
					$_SESSIOn["senha"] = 1;
				}
				else
					echo "<script>location.href='painel';</script>";

			}

		}

	}
?>
</div>